MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector:

## Public Member Functions
float[] | GetVectorValues (EAxis axis)
| Returns list of vector values
void | SetVectorValues (EAxis axis, float[] values)
| Sets list of vector values
EUnitType | GetUnitType (EAxis axis)
| Returns vector unit type.
void | SetUnitType (EAxis axis, EUnitType unitType)
| Sets vector unit type.
bool | IsRunning (EAxis axis)
| Returns status of signal generator (running, stopped).
void | SwitchArbitraryVector (EAxis axis, bool running)
| Sets status of signal generator (running, stopped).
float | GetSampleRate (EAxis axis)
| Returns sample rate in Hz.
void | SetSampleRate (EAxis axis, float value)
| Sets sample rate in Hz.
float | GetMinimumSamplingRate (EAxis axis)
| Returns minimum sampling rate in Hz.
float | GetMaximumSamplingRate (EAxis axis)
| Returns maximum sampling rate in Hz.
int | GetCycles (EAxis axis)
| Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
void | SetCycles (EAxis axis, int cycles)
| Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
EExternalTriggerType | GetExternalTrigger (EAxis axis)
| Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | SetExternalTrigger (EAxis axis, EExternalTriggerType triggerType)
| Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | SetExternalTriggerGpio (EAxis axis, EExternalTriggerGpiox enabled)
| Sets GPIO for trigger signal.
EExternalTriggerGpiox | GetExternalTriggerGpio (EAxis axis)
| Gets GPIO for trigger signal.
void | SetStartIndex (EAxis axis, int startIndex)
| Set Index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)
void | SetEndIndex (EAxis axis, int endIndex)
| Set Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)
int | GetStartIndex (EAxis axis)
| Get Index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)
int | GetEndIndex (EAxis axis)
| Get Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)

## Member Function Documentation

## ◆ GetCycles()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetCycles | ( | EAxis | axis | ) |

Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ GetEndIndex()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetEndIndex | ( | EAxis | axis | ) |

Get Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetExternalTrigger()

EExternalTriggerType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetExternalTrigger | ( | EAxis | axis | ) |

Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ GetExternalTriggerGpio()

EExternalTriggerGpiox MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetExternalTriggerGpio | ( | EAxis | axis | ) |

Gets GPIO for trigger signal.

Returns
  ExternalTriggerGpiox

## ◆ GetMaximumSamplingRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetMaximumSamplingRate | ( | EAxis | axis | ) |

Returns maximum sampling rate in Hz.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetMinimumSamplingRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetMinimumSamplingRate | ( | EAxis | axis | ) |

Returns minimum sampling rate in Hz.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetSampleRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetSampleRate | ( | EAxis | axis | ) |

Returns sample rate in Hz.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetStartIndex()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetStartIndex | ( | EAxis | axis | ) |

Get Index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetUnitType()

EUnitType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetUnitType | ( | EAxis | axis | ) |

Returns vector unit type.

Returns

## ◆ GetVectorValues()

float[] MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.GetVectorValues | ( | EAxis | axis | ) |

Returns list of vector values

Returns

## ◆ IsRunning()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.IsRunning | ( | EAxis | axis | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ SetCycles()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetCycles | ( | EAxis | axis,
|  | int | cycles )

Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ SetEndIndex()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetEndIndex | ( | EAxis | axis,
|  | int | endIndex )

Set Index after last desired point in Vector Pattern Memory (end of transition triggered by rising edge of external signal if External trigger configured)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetExternalTrigger()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetExternalTrigger | ( | EAxis | axis,
|  | EExternalTriggerType | triggerType )

Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ SetExternalTriggerGpio()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetExternalTriggerGpio | ( | EAxis | axis,
|  | EExternalTriggerGpiox | enabled )

Sets GPIO for trigger signal.

Returns

## ◆ SetSampleRate()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetSampleRate | ( | EAxis | axis,
|  | float | value )

Sets sample rate in Hz.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetStartIndex()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetStartIndex | ( | EAxis | axis,
|  | int | startIndex )

Set Index of first desired point in Vector Pattern Memory (start of transition triggered by rising edge of external signal if External trigger configured)

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetUnitType()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetUnitType | ( | EAxis | axis,
|  | EUnitType | unitType )

Sets vector unit type.

Returns

## ◆ SetVectorValues()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SetVectorValues | ( | EAxis | axis,
|  | float[] | values )

Sets list of vector values

Parameters

  axis | channel
  values | List of vector values

Returns

## ◆ SwitchArbitraryVector()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IArbitraryVector.SwitchArbitraryVector | ( | EAxis | axis,
|  | bool | running )

Sets status of signal generator (running, stopped).

Returns

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/InputStage/IArbitraryVector.cs